#Module-Specific definitions
%define mod_name mod_php
%define load_order 170
%define extname apache2handler

%define epoch 3
%define major 5
%define libname %mklibname php5_common %{major}
%define apache_version 2.4.0
%define php_version %{version}

Summary:	The PHP HTML-embedded scripting language for use with apache
Name:		apache-%{mod_name}
Version:	5.4.5
Release:	1
Group:		System/Servers
License:	PHP License
URL:		http://www.php.net/
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	%{libname} >= %{epoch}:%{php_version}
Requires:	apache-base >= %{apache_version}
Requires:	apache-modules >= %{apache_version}
Requires:	apache-mpm >= %{apache_version}
Requires:	php-ctype >= %{epoch}:%{php_version}
Requires:	php-filter >= %{epoch}:%{php_version}
Requires:	php-ftp >= %{epoch}:%{php_version}
Requires:	php-gettext >= %{epoch}:%{php_version}
Requires:	php-hash >= %{epoch}:%{php_version}
Requires:	php-ini >= %{php_version}
Requires:	php-json >= %{epoch}:%{php_version}
Requires:	php-openssl >= %{epoch}:%{version}
Requires:	php-pcre >= %{epoch}:%{php_version}
Requires:	php-posix >= %{epoch}:%{php_version}
Requires:	php-session >= %{epoch}:%{php_version}
Requires:	php-suhosin >= 0.9.29
Requires:	php-sysvsem >= %{epoch}:%{php_version}
Requires:	php-sysvshm >= %{epoch}:%{php_version}
Requires:	php-tokenizer >= %{epoch}:%{php_version}
Requires:	php-xmlreader >= %{epoch}:%{php_version}
Requires:	php-xmlwriter >= %{epoch}:%{php_version}
Requires:	php-zlib >= %{epoch}:%{php_version}
Requires:	php-xml >= %{epoch}:%{version}
BuildRequires:	apache-devel >= %{apache_version}
BuildRequires:	php-devel >= %{epoch}:%{php_version}
BuildRequires:	dos2unix
Provides:	php mod_php
Obsoletes:	php mod_php
Conflicts:	apache-mpm-worker >= %{apache_version}
Conflicts:	apache-mpm-event >= %{apache_version}
Requires:	php-timezonedb >= 3:2009.10
Epoch:		%{epoch}

%description
PHP5 is an HTML-embedded scripting language. PHP5 attempts to make it easy for
developers to write dynamically generated web pages. PHP5 also offers built-in
database integration for several commercial and non-commercial database
management systems, so writing a database-enabled web page with PHP5 is fairly
simple. The most common use of PHP coding is probably as a replacement for CGI
scripts. The %{name} module enables the apache web server to understand
and process the embedded PHP language in web pages.

This package contains PHP version 5. You'll also need to install the apache web
server.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/sapi/%{extname}/* .
cp %{_usrsrc}/php-devel/internal_functions.c .
cp %{_includedir}/php/ext/date/lib/timelib_config.h .

# drop php5 here
perl -pi -e "s|php5_module|php_module|g" *
cp mod_php5.c mod_php.c

# strip away annoying ^M
find -type f -exec dos2unix {} \;

%build

apxs \
    `php-config --includes` \
    `apr-1-config --link-ld --libs` \
    `xml2-config --cflags` \
    -I%{_usrsrc}/php-devel \
    -I. -lphp5_common \
    -c mod_php.c sapi_apache2.c apache_config.c \
    php_functions.c internal_functions.c

%install

install -d %{buildroot}%{_libdir}/apache
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache/

cat > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{load_order}_%{mod_name}.conf << EOF
LoadModule php_module %{_libdir}/apache/%{mod_name}.so

AddType application/x-httpd-php .php
AddType application/x-httpd-php .phtml
AddType application/x-httpd-php-source .phps

DirectoryIndex index.php index.phtml
EOF

%post
/bin/systemctl daemon-reload >/dev/null 2>&1 || :

%postun
if [ "$1" = "0" ]; then
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%files
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/*.conf
%attr(0755,root,root) %{_libdir}/apache/*.so


%changelog
* Tue Jul 24 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.4.5-1
+ Revision: 810846
- 5.4.5

* Fri Jun 15 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.4.4-1
+ Revision: 805770
- 5.4.4

* Thu May 10 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.4.3-1
+ Revision: 798035
- 5.4.3

* Wed May 02 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.4.1-1
+ Revision: 794910
- 5.4.1

* Fri Mar 30 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.11-0.0.RC1.1
+ Revision: 788360
- 5.3.11RC1

* Tue Mar 13 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.10-5
+ Revision: 784881
- bump release
- rename it because we don't have php4 anymore, like

* Tue Mar 13 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.10-4
+ Revision: 784633
- fix anal rpmlint ever changing policies
- fix #65370 (silly error in the config)

* Tue Mar 06 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.10-3
+ Revision: 782468
- no more S1
- simplify the configuration a bit

* Wed Feb 08 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.10-2
+ Revision: 771925
- rebuild

* Fri Feb 03 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.10-1
+ Revision: 770820
- 5.3.10

* Sun Jan 15 2012 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.9-1
+ Revision: 761116
- 5.3.9

* Mon Nov 28 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.9-0.0.RC2.1
+ Revision: 735131
- rebuild

* Wed Aug 24 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.8-1
+ Revision: 696496
- 5.3.8
- rebuilt for php-5.3.8

* Fri Aug 19 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.7-1
+ Revision: 695282
- 5.3.7

* Sat Aug 13 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.7-0.0.RC5.1
+ Revision: 694331
- 5.3.7RC5

* Mon Jul 18 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.7-0.0.RC3.1
+ Revision: 690588
- 5.3.7RC3

* Fri Jun 17 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.7-0.0.RC1.1
+ Revision: 685750
- 5.3.7RC1

* Sat May 14 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.6-2
+ Revision: 674429
- rebuild

* Fri Mar 18 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.6-1
+ Revision: 646452
- 5.3.6

* Sun Feb 20 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.6-0.0.RC1.1
+ Revision: 638874
- 5.3.6RC1

* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.5-1mdv2011.0
+ Revision: 629731
- 5.3.5

* Wed Dec 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.4-1mdv2011.0
+ Revision: 622183
- 5.3.4

* Thu Dec 02 2010 Paulo Andrade <pcpa@mandriva.com.br> 3:5.3.4-0.0.RC1.3mdv2011.0
+ Revision: 605048
- Rebuild with apr with workaround to issue with gcc type based alias analysis

* Tue Nov 23 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.4-0.0.RC1.2mdv2011.0
+ Revision: 599910
- rebuild

* Mon Nov 22 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.4-0.0.RC1.1mdv2011.0
+ Revision: 599694
- 5.3.4RC1

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.3-1mdv2011.0
+ Revision: 588275
- 5.3.3

* Tue Jul 13 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.3-0.0.RC2.1mdv2011.0
+ Revision: 552151
- 5.3.3RC2

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.2-1mdv2010.1
+ Revision: 514510
- rebuilt for php-5.3.2

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.2-0.0.RC3.1mdv2010.1
+ Revision: 511678
- rebuilt against new php

* Tue Feb 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.2-0.0.RC2.2mdv2010.1
+ Revision: 506610
- rebuild

* Tue Feb 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.2-0.0.RC2.1mdv2010.1
+ Revision: 506494
- rebuilt against php-5.3.2RC2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.2-0.0.RC1.1mdv2010.1
+ Revision: 485153
- 5.3.2RC1

* Fri Nov 20 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-2mdv2010.1
+ Revision: 467724
- really 5.3.1 this time

* Fri Nov 20 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-1mdv2010.1
+ Revision: 467689
- 5.3.1

* Fri Nov 13 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.0.RC4.1mdv2010.1
+ Revision: 465711
- rebuilt for php-5.3.1RC4

* Fri Nov 06 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.0.RC3.1mdv2010.1
+ Revision: 461146
- rebuild
- fix #55063 (Calling utf8_encode or utf8_decode functions stalls PHP)

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.0.RC1.2mdv2010.0
+ Revision: 451210
- rebuild

* Tue Sep 08 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.0.RC1.1mdv2010.0
+ Revision: 433351
- rebuilt for php-5.3.1RC1
- cleanups (#1)

* Wed Aug 19 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-3mdv2010.0
+ Revision: 418000
- re-add requires on php-suhosin

* Fri Jul 31 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-2mdv2010.0
+ Revision: 405108
- don't require the php-suhosin package as it's currently broken

* Fri Jul 17 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-1mdv2010.0
+ Revision: 396834
- rebuild

* Tue Jul 14 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-0.2mdv2010.0
+ Revision: 395962
- reintroduce the php-timezonedb package

* Wed Jul 01 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-0.1mdv2010.0
+ Revision: 391280
- 5.3.0 (final)

* Wed May 13 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-0.0.RC2.1mdv2010.0
+ Revision: 375298
- php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.9-1mdv2009.1
+ Revision: 346375
- 5.2.9

* Sat Feb 14 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.9-0.0.RC2.1mdv2009.1
+ Revision: 340279
- 5.2.9RC2

* Tue Feb 10 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.9-0.0.RC1.1mdv2009.1
+ Revision: 339116
- 5.2.9RC1

* Wed Jan 07 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.8-2mdv2009.1
+ Revision: 326501
- rebuild

* Tue Dec 09 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.8-1mdv2009.1
+ Revision: 312067
- symbolic version bump

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.7-1mdv2009.1
+ Revision: 310187
- 5.2.7

* Wed Oct 15 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.7-0.0.RC1.1mdv2009.1
+ Revision: 293862
- 5.2.7RC1

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.6-3mdv2009.0
+ Revision: 235650
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.6-2mdv2009.0
+ Revision: 215293
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.6-1mdv2009.0
+ Revision: 200056
- 5.2.6

* Tue Apr 01 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-5mdv2008.1
+ Revision: 191392
- rebuilt due to fixed upstream bug bug42779 in php-devel-5.2.5-13mdv2008.1

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-4mdv2008.1
+ Revision: 181441
- rebuild

* Sun Feb 03 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-3mdv2008.1
+ Revision: 161723
- fix #37433 (php, NEW: php doesn't work in apache since last update)

* Thu Jan 31 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-2mdv2008.1
+ Revision: 160731
- fix deps

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-1mdv2008.1
+ Revision: 107553
- 5.2.5

* Fri Nov 02 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-0.RC2.1mdv2008.1
+ Revision: 105294
- rebuilt to pickup the changes in php-5.2.5RC2
- fix deps

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.4-2mdv2008.0
+ Revision: 82363
- rebuild

* Sun Sep 02 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.4-1mdv2008.0
+ Revision: 78041
- rebuilt against php-5.2.4

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.3-4mdv2008.0
+ Revision: 64323
- use the new %%serverbuild macro

* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.3-3mdv2008.0
+ Revision: 43786
- fix deps

* Wed Jun 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.3-2mdv2008.0
+ Revision: 38415
- rebuild

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.3-1mdv2008.0
+ Revision: 33797
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.2-1mdv2008.0
+ Revision: 20980
- rebuilt against new upstream version (5.2.2)

